---
id: infirmerie-000
type: Location
events:
  info:
    actor: "Dans une infirmerie."
  look:
    actor: |
      Vous vous réveillez allongé dans un lit. Vous avez une énorme douleur au crâne.
      Tout autour de vous, vous voyez d'autres personnes en train de sommeiller.
      Un petit garçon prend peur en vous voyant et prend ses jambes à son cou.
      Vous apercevez un couloir au nord.
---
id: portal-infirmerie-couloir-000
type: Portal
exits:
  - id: infirmerie-000-nord
    location: infirmerie-000
    direction: nord
    events:
      enter-portal:
        actor   : "Vous allez au nord en direction du couloir."
        observer: "{{ actor.name }} va au nord en direction du couloir."
      leave-portal:
        observer: |
          {{ actor.name }} vous rejoint dans l'infirmerie, tant bien que mal.
  - id: couloir-000-sud
    location: couloir-000
    direction: sud
    events:
      enter-portal:
        actor   : "Vous sortez du couloir et retournez a l'endroit ou vous vous êtes réveillé"  
        observer: "{{ actor.name }} sort du couloir vers l'infirmerie."
      leave-portal:
        observer: "{{ actor.name }} sort de l'infirmerie et vous rejoins dans le couloir"
---
id: couloir-000
type: Location
contains:
  - injecteur-000
events:
  info:
    actor: "Dans un long couloir" 
  look:
    actor: |
      Vous commencez à sentir que quelque chose ne va pas. Vous vous sentez faible, et votre vision se déforme.
      Un homme armé d'une clé réglable vous bloque le passage, il dépose sur une petite table un injecteur.
      Il semble parler mais vous ne comprenez rien à ce qu'il dit.
part:
  - injecteur-000
    
---
id: injecteur-000
type: Thing
name: injecteur
props:
  - takable
  - usable
gender: masc
events:
  info:
    actor:
      - props: =injecteur-000:use
        data : "Une seringue vide."
      - data : "Un injecteur"
  look:
    actor:
      - props: object:use
        data: "C'est une seringue vide, dans laquelle il y'avait un liquide bleu, vous devriez la laisser avant de vous blesser avec."
      - data : "C'est une seringue remplie d'un liquide bleuté. Il peut vous sauver la vie."
  use:
    - props: object:use
      actor: "Cette seringue a déjà été utilisée !"
    - actor: "Vous utilisez l'injecteur."
      observer: |
        {{ actor.name }} utilise l'injecteur.
      effects:
        - type : ChangePropEffect
          modifs: object:use
        - type: EnterPortalEffect
          exit: =portal-injecteur-chambre181-000-exit-1
---

id: etage18-000
type: Location
events:
  info:
    actor: "Au 18ème étage."
  look:
    actor: |
      Plusieurs personnes vous observent, comme si quelque chose chez vous n'allait pas.
      A l'est, la chambre 181 est ouverte. Deux gardes se trouvent devant un ascenseur, au nord de votre position.


---
id: portal-etage18-chambre181-000
type: Portal
exits:
  - id: etage18-000-est
    location: etage18-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous entrez dans la chambre 181."
        observer: "{{ actor.name }} entre dans la chambre 181 à l'est."
      leave-portal:
        observer: |
          {{ actor.name }} sort de la chambre 181 et vous rejoint sur le palier.
  - id: chambre181-000-ouest
    location: chambre181-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous sortez de la chambre et retournez sur le palier."  
        observer: "{{ actor.name }} sort de la chambre en direction du palier."
      leave-portal:
        observer: "{{ actor.name }} vous rejoins dans la chambre."

---
id: portal-etage18-ascenseur-000
type: Portal
exits:
  - id: etage18-000-nord
    location: etage18-000
    direction: nord
    events:
      enter-portal:
        actor   : "Vous allez devant l'ascenseur."
        observer: "{{ actor.name }} va devant l'ascenseur, au nord."
      leave-portal:
        observer: |
          {{ actor.name }} vous rejoint sur le palier.
  - id: ascenseur-etage-000-sud
    location: ascenseur-etage-000
    direction: sud
    events:
      enter-portal:
        actor   : "Vous quittez les deux gardes et retournez sur le palier."  
        observer: "{{ actor.name }} marche en direction du palier."
      leave-portal:
        observer: "{{ actor.name }} vous rejoins devant l'ascenseur."
---
id: portal-injecteur-chambre181-000
type: Portal
exits:
  - id: portal-injecteur-chambre181-000-exit-1
    location: couloir-000
    events:
      enter-portal:
        actor: |
          Votre vision se trouble petit à petit, et vous vous 
          évanouissez après avoir utilisé l'injecteur.
        observer: |
          {{ actor.name }} s'évanouit après avoir utilisé l'injecteur. Le garde le transporte dans la chambre 181.
  - id: portal-chambre181-couloir-000-exit-2
    location: chambre181-000
    direction: bas
    props:
      - for-leave
---
id: chambre181-000
type: Location
contains:
  - note-000
events:
  info:
    actor: "Dans la salle 181."
  look:
    actor: |
      Vous vous êtes réveillé dans cette salle. Vous sentez un puissant courant d'air en provenance de la salle au sud.
      Sur une petite table repose une petite note. Vous pouvez aller sur le palier à l'ouest.
---
id: note-000
type: Thing
name: note
props:
  - takable
events:
  info:
    actor: "Une note en papier."
  look:
    actor: |
      C'est une petite note en papier. Vous pouvez y lire 'La nuit sortent les rapaces... n'oubliez pas votre lampe à UV.'.


---
id: portal-chambre181-chambre181S-000
type: Portal
exits:
  - id: chambre181-000-sud
    location: chambre181-000
    direction: sud
    events:
      enter-portal:
        actor   : "Vous entrez dans une petite salle au sud de la chambre 181"
        observer: "{{ actor.name }} entre dans une petite salle au sud de la chambre 181"
      leave-portal:
        observer: |
          {{ actor.name }} sort de la salle et vous rejoint dans la chambre 181.
  - id: chambre181S-000-nord
    location: chambre181S-000
    direction: nord
    events:
      enter-portal:
        actor   : "Vous sortez de la petite salle et retournez dans la chambre 181."  
        observer: "{{ actor.name }} sort de la salle en direction de la chambre."
      leave-portal:
        observer: "{{ actor.name }} vous rejoins dans la salle."

---
id: chambre181S-000
type: Location
events:
  info:
    actor: "Dans une petite salle de la chambre 181."
  look:
    actor: |
      Vous arrivez une petite salle. Le mur au sud est completement cassé.
      Vous pouvez apercevoir des bidonvilles à perte de vue. A vos pieds, une petite caisse métallique.
      Au nord se trouve le reste de la chambre 181.
parts:
  - caisse-000

---
id: caisse-000
type: Container
name: caisse
events:
  look:
    actor: |
      C'est une caisse métallique simple, il est possible de forcer l'ouverture.
contains:
  - badge-tour-000

---
id: badge-tour-000
type: Thing
name: badge
props:
  - takable
  - key-for-tour-exterieur-000
events:
  info:
    actor: "Un badge magnétique."
  look:
    actor: |
      C'est un badge sur lequel il est inscrit 'autorisé à sortir de la tour'.


---
id: portal-tour-rdc-ascenseur-000
type: Portal
exits:
  - id: ascenseur-hall-000-est
    location: ascenseur-hall-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous allez au centre du rez de chaussée."
        observer: "{{ actor.name }} se dirige au centre du rez de chaussée."
      leave-portal:
        observer: |
          {{ actor.name }} vous rejoins devant l'ascenseur.
  - id: tour-rdc-000-ouest
    location: tour-rdc-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous vous dirigez vers l'ascenseur."  
        observer: "{{ actor.name }} se dirige vers l'ascenseur."
      leave-portal:
        observer: "{{ actor.name }} vous rejoins au centre de la pièce."

---
id: tour-rdc-000
type: Location
events:
  info:
    actor: "Centre du RDC."
  look:
    actor: |
      Vous êtes dans le hall du rez de chaussée, tout en bas de la Tour. Vous pouvez voir des gardes armés un peu partout, ainsi qu'au nord 
      une porte donnant sur l'extérieur de la ville.

---
id: portal-tour-rdc-porte-rdc-000
type: Portal
exits:
  - id: tour-rdc-000-nord
    location: tour-rdc-000
    direction: nord
    events:
      enter-portal:
        actor   : "Vous allez en direction de la porte."
        observer: "{{ actor.name }} se dirige vers la porte de sortie."
      leave-portal:
        observer: |
          {{ actor.name }} s'éloigne de la porte et reviens vers vous.
  - id: porte-rdc-000-sud
    location: porte-rdc-000
    direction: sud
    events:
      enter-portal:
        actor   : "Vous vous éloignez de la porte."  
        observer: "{{ actor.name }} s'éloigne de la porte"
      leave-portal:
        observer: "{{ actor.name }} vous rejoint devant la porte."

---
id: porte-rdc-000
type: Location
contains:
   - lampeuv-000
   - ampouleuv-000
events:
  info:
    actor: "Devant la porte de sortie."
  look:
    actor: |
      Vous êtes devant la porte de sortie.
      Au pied de cette porte, se trouve une lampe à UV,
      ainsi qu'une ampoule de couleur bleue.
  
---
id: lampeuv-000
type: Thing
props:
  - flamable
  - takable
name   :
  - lampe
events:
  info:
    actor:
      - props: =ampouleuv-000:light-with
        data : "Une lampe à UV allumée. LIGHT 1"
      - data : "Une lampe à UV."
  look:
    actor:
      - props: object:light-on
        data : "Votre lampe est allumée."
      - data : "Une lampe à UV sur laquelle il manque une ampoule."
  light-with:
    - props : object:light-with
      actor : "Votre lampe est déjà allumée."
    - actor : "Vous allumez votre lampe à UV."
      observer: |
        {{ actor.name }} allume sa lampe.
      effects:
        - type  : ChangePropEffect
          modifs: object:light-on
  light-on:
    - props : -object:light-on
      actor : "La lampe est allumée."
    - actor : "INDESC 3"
      observer: |
        {{ actor.name }} éteint sa lampe à UV.
      effects:
        - type  : ChangePropEffect
          modifs: -object:light-off
---
id: ampouleuv-000
type: Thing
props:
  - igniter
  - takable
name   :
  - ampoule
events:
  info:
    actor:
      - props: =lampeuv-000:light-with
        data : "AMPULE 1"
      - data : "Une ampoule UV."
  look:
    actor:
      - props: object:light-with
      - data : "Une ampoule de couleur bleue, qui devrait pouvoir être utilisée avec une lampe."
  light-with:
    - props : object:light-with
      
      observer: |
        {{ actor.name }} allume sa lampe à UV.
      effects:
        - type  : ChangePropEffect
          modifs: object:light-on
  light-off:
    - props : -object:light-off
      actor : "La lampe est déjà éteinte. LAMP CLOSE 1"
    - actor : "Vous éteignez votre lampe à UV. LAMP CLOSE 2"
      observer: |
        {{ actor.name }} éteint sa lampe à UV.
      effects:
        - type  : ChangePropEffect
          modifs: -object:light-off
---
id: portal-porte-ext-000
type: Portal
props:
  - closed
  - closable
exits:
  - id: porte-rdc-000-nord
    location: porte-rdc-000
    direction: nord
    name:
      - porte
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous sortez de la Tour."
        observer  : "{{ actor.name }} sort de la Tour."
        failed:
          actor   : &porte001 |
            La porte gardant la tour est sécurisée. Le garde en poste devant vous informe que vous avez besoin d'un accès spécial pour aller à l'extérieur.
            Elle est actuellement fermée.
          observer: &porte002 |
            {{ actor.name }} tente en vain d'ouvrir la porte.
      leave-portal:
        actor     : "Vous entrez dans la Tour."
        observer  : "{{ actor.name }} entre dans la Tour."
      open        :
        - props   : portal:closed
          actor   : *porte001
          observer: *porte002
        - props   : -portal:closed
          actor   : &porte003 "La porte est déjà ouverte!"
      open-with   :
        - props   :
            - portal:closed
            - object2:key-for-tour-exterieur-000
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            La porte de la Tour s'ouvre.
          observer: |
            {{ actor.name }} à ouvert la porte de la Tour
            avec un badge de sécurité.
        - props   :
            - portal:closed
            - -object2:key-for-tour-exterieur-000
          actor   : |
            Vous tentez vainement d'ouvrir la porte avec
            {{ object2.noun_the() }}
          observer: |
            {{ actor.name }} tente vainement d'ouvrir la porte avec {{ object2.noun_a() }}
        - props   :
            - -portal:closed
          actor   : *porte003
          observer: |
            {{ actor.name }} tente futilement d'ouvrir la porte avec {{ object2.noun_a() }}, alors qu'elle est déjà ouverte.
      close       : &porte004
        - props   : portal:closed
          actor   : "Vous fermez la porte de la Tour, afin d'empêcher les infectés d'entrer."
          observer: "{{ actor.name }} ferme le porte de la Tour."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-porte-ext-000:closed
      close-with  : *porte004
  - id: tour-ext-000-sud
    location: tour-ext-000
    direction: sud
    name: porte
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} entre dans la Tour."
        failed:
          actor   : |
            La porte d'accès principale de la Tour est sécurisée. Un garde devant vous informe que vous avez besoin d'un accès spécial pour passer. Elle est actuellement fermée.
          observer: |
            Le garde ne laisse pas passer {{ actor.name }}.
---
id: tour-ext-000
type: Location
events:
  info:
    actor: "L'exterieur de la tour."
  look:
    actor: |
      Vous êtes juste devant la tour.
      La nuit s'apprête à tomber.
      Vous n'entendez que des bruits lointains de fracas métallique.
      Au sud, la porte de la tour, au nord, une rue se profile.

---
id: portal-tour-ext-rue-000
type: Portal
exits:
  - id: tour-ext-000-nord
    location: tour-ext-000
    direction: nord
    events:
      enter-portal:
        actor   : "Vous allez en direction de la rue."
        observer: "{{ actor.name }} se dirige vers la rue."
      leave-portal:
        observer: |
          {{ actor.name }} sort de la rue et se dirige vers vous.
  - id: rue-000-sud
    location: rue-000
    direction: sud
    events:
      enter-portal:
        actor   : "Vous revenez devant la tour."  
        observer: "{{ actor.name }} sort de la rue en direction de la tour."
      leave-portal:
        observer: "{{ actor.name }} vous rejoint dans la rue."

---
id: rue-000
type: Location
events:
  info:
    actor: "Dans une rue non loin de la tour."
  look:
    actor: |
      Vous êtes au beau milieu d'une rue.
      Tout autour de vous vous apercevez des mordeurs, mais ils ne semblent pas vous remarquer.
      Au sud vous apercevez la tour, et au dessus de vous il est possible de grimper sur la maison.

---
id: portal-rue-toit-000
type: Portal
exits:
  - id: rue-000-haut
    location: rue-000
    direction: haut
    events:
      enter-portal:
        actor   : "Vous grimpez sur le toit."
        observer: "{{ actor.name }} grimpe avec agilité vers le toit."
      leave-portal:
        observer: |
          {{ actor.name }} saute du toit et atterit sur une toile tendue, et se dirige vers vous.
  - id: toit-000-bas
    location: toit-000
    direction: bas
    events:
      enter-portal:
        actor   : "Vous sautez du toit et atterissez sur une toile tendue, dans la rue."  
        observer: "{{ actor.name }} saute du toit."
      leave-portal:
        observer: "{{ actor.name }} grimpe et vous rejoint sur le toit."

---
id: toit-000
type: Location
events:
  info:
    actor: "Sur le toit d'une maison."
  look:
    actor: |
      Vous êtes sur le toit d'une maison.
      En bas vous pouvez vous laisser tomber sur une toile tendue, et au nord,
      vous pouvez sauter par dessus un grillage pour atterir sur un parking avec un camion.

---
id: portal-toit-parking-000
type: Portal
exits:
  - id: toit-000-nord
    location: toit-000
    direction: nord
    events:
      enter-portal:
        actor   : "Vous sautez par dessus le grillage."
        observer: "{{ actor.name }} saute prestemment par dessus le grillage."
      leave-portal:
        observer: |
          {{ actor.name }} escalade le grillage et se dirige vers vous.
  - id: parking-000-sud
    location: parking-000
    direction: sud
    events:
      enter-portal:
        actor   : "Vous sautez par dessus le grillage et atteignez le toit de la petite maison."  
        observer: "{{ actor.name }} escalade le grillage et se dirige vers le toit."
      leave-portal:
        observer: "{{ actor.name }} saute par dessus le grillage pour atterir près de vous."

---
id: parking-000
type: Location
props:
  - dark
events:
  info:
    actor: "Dans un parking, devant un camion."
  look:
    actor: |
      La nuit vient de tomber, au loin des cris étranges se font entendre.
      Un mordeur particulierement imposant saute par dessus le grillage et s'arrête devant vous,
      avec un regard menaçant. Sa peau extrêmement blanche ne resiste pas aux UV de votre lampe.
      Après un hurlement de sa part il fuit au loin. A l'est vous pouvez vous diriger dans le camion.
      Au sud il est possible d'escalader le grillage.

---
id: portal-parking-camion-000
type: Portal
exits:
  - id: parking-000-est
    location: parking-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous montez à bord du camion."
        observer: "{{ actor.name }} entre dans le camion."
      leave-portal:
        observer: |
          {{ actor.name }} sort du camion vers vous.
  - id: camion-000-ouest
    location: camion-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous sortez du camion."  
        observer: "{{ actor.name }} ressort du camion."
      leave-portal:
        observer: "{{ actor.name }} vous rejoint dans le camion."
  - id: parking-000-nord
    location: parking-000
    direction: nord
    events:
      enter-portal:
        actor : "Vous vous dirigez vers le nord et croisez un rapace, il vous saute dessus et vous abat."
        observer: "{{ actor.name }} est mort car il a croisé un rapace."
        data-driven: true
        effects:
          - type: DeathEffect

---
id: camion-000
type: Location
events:
  info:
    actor: "Dans le camion du Dr Zere."
  look:
    actor: |
      Enfin, vous y êtes parvenus. Devant vous se dresse le docteur Zere, il possède une fiole
      contenant le vaccin qui va pouvoir vous sortir de ce petrin, il vous avoue que
      toute cette mise en scène à l'infirmerie était due au fait que vous aviez été mordu.
      Maintenant que le vaccin de test est prêt, il ne vous reste plus qu'à l'essayer.
      A suivre...
---
id: etage-000
type: Location
props:
  - dark
events:
  info:
    actor: "Étage du département info."
  look:
    actor: |
      Vous êtes à l'étage du département.  Au nord-ouest,
      la salle 22 est ouverte.

---

id: ascenseur-hall-000
type: Location
parts:
  - bouton-ascenseur-hall-000
events:
  info:
    actor: "Devant l'ascenseur, au rez de chaussée."
  look:
    actor: |
      Vous êtes devant l'ascenseur du hall. Il y a un bouton pour
      l'appeler. Vous voyez un vendeur de bricoles sur votre droite, et des personnes malades allongées sur le sol. Au sud-ouest, la porte de l'ascenseur est
      {% if the("ascenseur-cage-000").has_prop("upstairs") %}
      fermée.
      {% else %}
      ouverte.
      {% end %}
      A l'est, se trouve la partie principale du hall.
  fermeture-ascenseur:
    observer: |
      La porte de l'ascenseur se ferme.
  ouverture-ascenseur:
    observer: |
      La porte de l'ascenseur s'ouvre.
---
id: bouton-ascenseur-hall-000
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton pour appeler l'ascenseur."
  look:
    actor: "C'est un bouton pour appeler l'ascenseur."
  push:
    - props: =ascenseur-cage-000:upstairs
      observer: |
        {{ actor.name }} appuie sur le bouton de l'ascenseur.
      effects:
        - type  : NarrativeEffect
          at    : =ascenseur-etage-000
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-ascenseur-etage-000:closed
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : descente-ascenseur
        - type  : ChangePropEffect
          modifs: -=ascenseur-cage-000:upstairs
        - type  : NarrativeEffect
          at    : =ascenseur-hall-000
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-ascenseur-hall-000:closed
    - actor: "L'ascenseur est déjà là!"
      observer: |
        {{ actor.name }} appuie stupidement sur le bouton d'appel alors
        que l'ascenseur est déjà là.
---
id: ascenseur-etage-000
type: Location
parts:
  - bouton-ascenseur-etage-000
events:
  info:
    actor: "Devant la porte de l'ascenseur, à l'étage 18."
  look:
    actor: |
      Vous êtes devant la porte de l'ascenseur du 18è étage. Deux gardes vous observent, méfiants. Il y a un bouton pour
      l'appeler.  Au sud-ouest, la porte de l'ascenseur est
      {% if the("ascenseur-cage-000").has_prop("upstairs") %}
      ouverte.
      {% else %}
      fermée.
      {% end %}
      Au sud, se trouve la partie principale de l'étage.
  fermeture-ascenseur:
    observer: |
      La porte de l'ascenseur se ferme.
  ouverture-ascenseur:
    observer: |
      La porte de l'ascenseur s'ouvre.
---
id: etage-ascenseur-portal-000
type: Portal
exits:
  - id: exit1-etage-ascenseur-portal
    location: etage-000
    direction: nord
  - id: exit2-etage-ascenseur-portal
    location: ascenseur-etage-000
    direction: sud
---
id: bouton-ascenseur-etage-000
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton pour appeler l'ascenseur."
  look:
    actor: "C'est un bouton pour appeler l'ascenseur."
  push:
    - props: -=ascenseur-cage-000:upstairs
      observer: |
        {{ actor.name }} appuie sur le bouton de l'ascenseur.
      effects:
        - type  : NarrativeEffect
          at    : =ascenseur-hall-000
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-ascenseur-hall-000:closed
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : ascension-ascenseur
        - type  : ChangePropEffect
          modifs: =ascenseur-cage-000:upstairs
        - type  : NarrativeEffect
          at    : =ascenseur-etage
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-ascenseur-etage-000:closed
    - actor: "L'ascenseur est déjà là!"
      observer: |
        {{ actor.name }} appuie stupidement sur le bouton d'appel alors
        que l'ascenseur est déjà là.
---
id: ascenseur-cage-000
type: Location
parts:
  - bouton-cage-000
props:
  - upstairs
events:
  info:
    actor: "La cage d'ascenseur."
  look:
    actor: |
      Vous êtes dans la cage d'ascenseur.  Au nord-est,
      la porte est ouverte sur
      {% if the("ascenseur-cage-000").has_prop("upstairs") %}
      l'étage.
      {% else %}
      le hall.
      {% end %}
      Un bouton permet de commander à l'ascenseur de
      changer d'étage.
  fermeture-ascenseur:
    observer: |
      La porte de l'ascenseur se ferme.
  ouverture-ascenseur:
    observer: |
      La porte de l'ascenseur s'ouvre.
  descente-ascenseur:
    observer: |
      L'ascenseur descend.
  ascension-ascenseur:
    observer: |
      L'ascenseur monte.
---
id: ascenseur-portal-000
type: Portal
events:
  traversal:
    - props: =ascenseur-cage-000:upstairs
      exit1: =exit-ascenseur-etage-000
      exit2: =exit-ascenseur-cage-000
    - exit1: =exit-ascenseur-hall-000
      exit2: =exit-ascenseur-cage-000
exits:
  - id      : exit-ascenseur-hall-000
    location: ascenseur-hall-000
    direction: sud-ouest
    props   :
      - closed
    events  :
      enter-portal:
        failed:
          actor: &ascenseur-ferme |
            "La porte de l'ascenseur est fermée."
          observer: &force-ascenseur |
            {{ actor.name }} tente vainement de forcer la porte de l'ascenseur.
      leave-portal:
        actor: ""
        observer: &sortie-ascenseur |
          {{ actor.name }} sort de l'ascenseur.

  - id      : exit-ascenseur-etage-000
    location: ascenseur-etage-000
    direction: sud-ouest
    events  :
      enter-portal:
        failed:
          actor: *ascenseur-ferme
          observer: *force-ascenseur
      leave-portal:
        actor: ""
        observer: *sortie-ascenseur

  - id      : exit-ascenseur-cage-000
    location: ascenseur-cage-000
    direction: nord-est
    events:
      traversal:
        - props: =ascenseur-cage-000:upstairs
          exit1: =exit-ascenseur-cage-000
          exit2: =exit-ascenseur-etage-000
        - exit1: =exit-ascenseur-cage-000
          exit2: =exit-ascenseur-hall-000
      leave-portal:
        actor: ""
        observer: |
          {{ actor.name }} vous rejoint dans l'ascenseur.
      enter-portal:
        actor: ""
        observer: *sortie-ascenseur
---
id: bouton-cage-000
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton pour changer d'étage."
  look:
    actor: |
      C'est un bouton pour commander à l'ascenseur de changer d'étage.
  push:
    - props: =ascenseur-cage-000:upstairs
      effects:
        - type  : NarrativeEffect
          at    : =ascenseur-etage-000
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-ascenseur-etage-000:closed
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : descente-ascenseur
        - type  : ChangePropEffect
          modifs: -=ascenseur-cage-000:upstairs
        - type  : NarrativeEffect
          at    : =ascenseur-hall-000
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-ascenseur-hall-000:closed
    - effects:
        - type  : NarrativeEffect
          at    : =ascenseur-hall-000
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-ascenseur-hall-000:closed
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : ascension-ascenseur
        - type  : ChangePropEffect
          modifs: =ascenseur-cage-000:upstairs
        - type  : NarrativeEffect
          at    : =ascenseur-etage-000
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =ascenseur-cage-000
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-ascenseur-etage-000:closed
